use aoc_core_macros::bin_setup;

#[bin_setup(5, "../../resources", ".in", "Answers.out")]
fn main() {
    pretty_solution_2!(5, "PuzzleX", solution1, solution2);
}

fn solution1(input: &str) -> u8 {
    input.lines().map(|n| n.parse::<u8>().unwrap()).sum()
}

fn solution2(input: &str) -> u8 {
    input.lines().map(|n| n.parse::<u8>().unwrap()).product()
}

// ../../resources/PuzzleX.in
// 2
// 3

// ../../resources/Answers.out
// PuzzleX 5 6
